use lox_cli::networking::*;
use lox_library::IssuerPubKey;
use std::collections::HashMap;
use x25519_dalek::PublicKey;

pub struct State {
    pub la_pubkeys: Vec<IssuerPubKey>,
    pub net: HyperNet,
    pub net_test: HyperNet,
    pub net_tp: HyperNet,
    // Probability that if Alice invites Bob, Alice and Bob are in the same
    // country. This is in *addition* to the regular probability that Bob is in
    // that country by random selection.
    pub prob_friend_in_same_country: f64,
    pub prob_user_invites_friend: f64,
    pub prob_user_is_censor: f64,
    pub prob_user_submits_reports: f64,
    pub probs_user_in_country: Vec<(String, f64)>,
    pub tp_pubkeys: HashMap<u32, PublicKey>,
}
